<?

	$rootpath = '../';
	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
	$o=rand(0,999);
	if($level==0 OR $ban!=0)

{

		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';

}else{
		switch ($act) {
	default:
	echo "<title>Мои темы</title>";echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
	echo '<div class="razd"></div>';
	div('<a href="index.php"><b>Форум</b></a> | <font color="#4EEE94"><b>Мои темы</b></font>','top-nav1');
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="?o='.$o.'"><b>Обновить</b></a></div></center>';
	echo '<div class="razd"></div>';
            $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_theme` WHERE `uid`='".$use_id."';"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `forum_theme` WHERE `uid`='".$use_id."' ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
			        if($row['type']==1)echo '<img src="../theme/img/tz.gif" alt="" /> ';
					if($row['type']==0)echo '<img src="../theme/img/op.gif" alt="" /> ';
                    echo '<a href="postlist.php?id='.$row['id'].'">'.$row['name'].'</a> ['.$row['msgs'].' ответов]';
					echo '</div>'; 
					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('<center><b>Тем нет!</b></center>','window');
			}
			break;
			
			case 'new_theme':
			echo "<title>Новые темы</title>";echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
			echo '<div class="razd"></div>';
			div('<a href="index.php"><b>Форум</b></a> | <font color="#4EEE94"><b>Новые темы за 24 часа</b></font>','top-nav1');
			echo '<div class="razd"></div>';
	       	echo '<center><div class="blok2"><a href="?act=new_theme&amp;o='.$o.'"><b>Обновить</b></a></div></center>';
	       	echo '<div class="razd"></div>';
			 $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_theme` WHERE `time`>=$realtime-86400;"), 0);
			$PAGINGS = new PAGINGS($elem, "SELECT * FROM `forum_theme` WHERE `time`>=$realtime-86400 ORDER BY `id` DESC");
			if($PAGINGS->count_get > 0)
			{
				while($row = mysql_fetch_array($PAGINGS->get))
				{
					echo '<div class="conts">';
			        if($row['type']==1)echo '<img src="../theme/img/tz.gif" alt="" /> ';
					if($row['type']==0)echo '<img src="../theme/img/op.gif" alt="" /> ';
                    echo '<a href="postlist.php?id='.$row['id'].'">'.$row['name'].'</a> ['.$row['msgs'].' ответов]';
					echo '</div>'; 
					++$i;
				}
				if($count>$elem)echo $PAGINGS->Links('?act=new_theme&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
			}
			else
			{
				div('<center><b>Тем нет!</b></center>','window');
			}
			
			break;
			}
		}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>